Printago API
GET /v1/orders/customers/{customerId}

Get customer by ID

Requires: order.view

Path Parameters

customerId required
string
The customer's unique identifier

Response Schema

Customer
countryCodeoptional
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
emailoptional
string
externalIdoptional
string
idrequired
string
pattern: ^[a-z0-9]{24}$
nameoptional
string
phoneoptional
string
provinceCodeoptional
string
sourceoptional
any
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
zipCodeoptional
string

Example Response

200 OK — application/json
{
  "customMetadata": {},
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-09-09T20:31:46.738Z",
  "updatedAt": "2026-09-09T20:31:46.738Z"
}